# Contributing to this repository
Contributions can be done using the fork & pull model.

This contribution model requires contributors maintaining their own copy of the forked codebase [keeping it synced](https://help.github.com/articles/syncing-a-fork/) with the main copy. 

The forked repository can then be used to [submit a pull request](https://help.github.com/articles/creating-a-pull-request/) to the base repository.

Contributions can take the form of new features, changes to existing features, tests, documentation, bug fixes, optimizations and suggestions.

Contributions will be reviewed in *first in, first out* order and contributors may be asked some clarifications by repository maintainer.
In case of requests by maintainers without response from contributors for two weeks the pull request may be closed without merging.

## Contribution requirements

1. Contributions must adhere to [Magento coding standards](http://devdocs.magento.com/guides/v2.0/coding-standards/bk-coding-standards.html).
2. Pull requests (PRs) must be accompanied by a meaningful description of their purpose. Comprehensive descriptions increase the chances of a pull request to be merged quickly and without additional clarification requests.
3. Commits must be accompanied by meaningful commit messages.
4. PRs which include bug fixing, must be accompanied with step-by-step description of how to reproduce the bug.